execute as @a[scores={titan_shifter=1..2}] run function titan_shifting/titan_energy_gui
#
execute as @a[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.mainhand #harmable unless items entity @s weapon.mainhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.mainhand aot:sd/harmable_mod
execute as @a[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.offhand #harmable unless items entity @s weapon.offhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.offhand aot:sd/harmable_mod

execute as @a unless entity @s[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.mainhand #harmable if items entity @s weapon.mainhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.mainhand aot:sd/unharmable_mod
execute as @a unless entity @s[scores={titan_shifter=1..,sneak_check=1..}] if items entity @s weapon.offhand #harmable if items entity @s weapon.offhand *[custom_data~{titan_harm_alt:1b}] run item modify entity @s weapon.offhand aot:sd/unharmable_mod
#
execute as @a[scores={titan_shifter=1}] at @s run function titan_shifting/running
execute as @a[scores={titan_shifter=2}] at @s run function titan_shifting/titan_form/running
execute as @e[tag=titan_corpse] at @s run function titan_corpse/running
#odm
execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] at @s run function odm/gui

execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] unless items entity @s weapon.offhand *[custom_data~{air_level:1b}] unless items entity @s weapon.offhand *[custom_data~{breeb:0b}] if predicate aot:odm-flying run function odm/running
execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] run scoreboard players set @s[nbt={OnGround:1b}] odm_cd 6
execute as @a if items entity @s weapon.mainhand *[custom_data~{oda_gear:1b},custom_model_data=842] if items entity @s weapon.offhand *[custom_data~{breeze_bottle:1b}] run function odm/couple_bb
execute as @a if items entity @s weapon.offhand *[custom_data~{oda_gear:1b},custom_model_data=842] if items entity @s weapon.mainhand *[custom_data~{breeze_bottle:1b}] run function odm/couple_bb_of

execute as @a unless predicate aot:odm-flying if items entity @s[scores={sneak_check=1..}] weapon.mainhand *[custom_data~{oda_gear:1b},custom_model_data=844] run function odm/decouple_bb
execute as @a unless predicate aot:odm-flying if items entity @s[scores={sneak_check=1..}] weapon.offhand *[custom_data~{oda_gear:1b},custom_model_data=844] run function odm/decouple_bb_of

execute as @a unless entity @s[scores={refill_cd=1..}] if items entity @s weapon.mainhand *[custom_data~{breeze_bottle:1b}] unless items entity @s weapon.mainhand *[custom_data={breeze_bottle:1b,air_level:21b}] if items entity @s weapon.offhand wind_charge run function odm/refill
execute as @a unless entity @s[scores={refill_cd=1..}] if items entity @s weapon.offhand *[custom_data~{breeze_bottle:1b}] unless items entity @s weapon.offhand *[custom_data={breeze_bottle:1b,air_level:21b}] if items entity @s weapon.mainhand wind_charge run function odm/refill_of

#
execute as @e[type=#minecraft:minecarts,tag=!inv_mc] run function inv_minecart

execute as @a run clear @s *[custom_data~{titan_storage:1b}] 1
execute as @e[tag=chest_minecart,tag=titan_storage,tag=titan_done] unless items entity @s container.26 minecraft:barrier[hide_tooltip={},custom_model_data=9980,custom_data={kill_item:1b,titan_storage:1b}] run function titan_shifting/titan_form/corpse

execute as @a[scores={titan_throw_id=1..,hurt_check=1..}] at @s run function titan_shifting/titan_form/attack/throw/grab_reset_2
execute as @e[type=!player,scores={titan_throw_id=1..},nbt={HurtTime:9s}] at @s run function titan_shifting/titan_form/attack/throw/grab_reset_2

#
scoreboard players add @a[scores={titan_injection=1..}] titan_injection_meter 1
scoreboard players set @a[scores={titan_injection=0}] titan_injection_meter 0

execute as @a if items entity @s weapon.mainhand *[custom_data={copper_syringe:1b}] if items entity @s weapon.offhand *[custom_data={titan_serum:1b}] run function titan-aot/misc/obtain_injection
execute as @a if items entity @s weapon.offhand *[custom_data={copper_syringe:1b}] if items entity @s weapon.mainhand *[custom_data={titan_serum:1b}] run function titan-aot/misc/obtain_injection

execute as @a[scores={titan_injection_meter=35}] unless entity @s[scores={titan_shifter=1..}] at @s run playsound entity.puffer_fish.blow_out ambient @a ~ ~ ~ 1 1.5
execute as @a[scores={titan_injection_meter=35}] unless entity @s[scores={titan_shifter=1..}] at @s run playsound item.honey_bottle.drink ambient @a ~ ~ ~ 1 2

execute as @a[scores={titan_injection_meter=40,titan_shifter=1..}] at @s run function titan_shifting/become_2
execute as @a[scores={titan_injection_meter=40}] at @s run function titan_shifting/become

execute as @e[type=item,nbt={OnGround:1b}] at @s if items entity @s contents *[custom_data~{copper_syringe:1b},custom_model_data=841] run function titan-aot/misc/serum_shatter
execute as @e[type=item,nbt={OnGround:1b}] at @s if items entity @s contents *[custom_data~{titan_serum:1b}] run function titan-aot/misc/serum_shatter

#
title @a[scores={titan_shifter=1..,sneak_check=0}] actionbar [{"text":"","color":"#4e5c24"},{"text":" "}]
#
execute as @e[type=item] if items entity @s contents *[minecraft:custom_data~{kill_item:1b}] run kill @s
scoreboard players set @a left_click 0
scoreboard players set @a hitting_check 0
scoreboard players set @a hurt_check 0
scoreboard players set @a titan_throw 0
scoreboard players set @a sneak_check 0
scoreboard players set @a death_check 0
scoreboard players set @a harm_bite 0
scoreboard players set @a killing_check 0
scoreboard players set @a titan_injection 0
scoreboard players remove @a[scores={refill_cd=1..}] refill_cd 1

title @a[scores={titan_progress=1..}] actionbar [{"text":"","color":"#4e5c24"},{"text":" "}]

execute as @a unless items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] run title @s subtitle [{"text":"","color":"#4e5c24"},{"text":"\uF82B\uF82A\uF825\uF809\uF809\uF809\uF804"},{"text":" "}]
execute as @a unless entity @s[scores={titan_shifter=1..}] if items entity @s weapon.offhand *[custom_data~{oda_gear:1b}] run title @s title [{"text":"","color":"#4e5c24"},{"text":"\uF82B\uF82A\uF825\uF809\uF809\uF809\uF804"},{"text":" "}]

execute as @a[nbt={active_effects:[{id:"minecraft:unluck",amplifier:19b}]}] run function titan-aot/misc/serum_death

execute as @e[type=minecraft:villager,nbt={VillagerData:{profession:"minecraft:cleric"}},tag=!wind_trader] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:emerald",count:4},sell:{id:"minecraft:wind_charge",count:5}}
execute as @e[type=minecraft:villager,nbt={VillagerData:{profession:"minecraft:cleric"}}] run tag @s add wind_trader
execute as @e[type=minecraft:villager,tag=wind_trader] unless entity @s[nbt={VillagerData:{profession:"minecraft:cleric"}}] run tag @s remove wind_trader
