scoreboard players operation titan-check titan_id = @s titan_id
#
execute unless data entity @s SelectedItem run function titan_shifting/harm_item
execute if data entity @s SelectedItem unless items entity @s weapon.mainhand poisonous_potato[custom_data~{titan_harm:1b}] run clear @s *[custom_data~{titan_harm:1b}]

execute if items entity @s weapon.mainhand #harmable if entity @s[scores={sneak_check=1..}] run function titan_shifting/harm_gui
execute if items entity @s weapon.offhand #harmable if entity @s[scores={sneak_check=1..}] run function titan_shifting/harm_gui
execute if items entity @s weapon.mainhand poisonous_potato[custom_data~{titan_harm:1b}] if entity @s[scores={sneak_check=1..}] run function titan_shifting/harm_gui

execute unless items entity @s weapon.mainhand poisonous_potato[custom_data~{titan_harm:1b}] unless items entity @s weapon.mainhand #harmable run title @s actionbar [{"text":"","color":"#4e5c24"},{"text":" "}]
#
execute at @s[scores={titan_progress=1}] run summon lightning_bolt

execute at @e[tag=titan_skeleton] run fill ~3 ~3 ~3 ~-3 ~-3 ~-3 air replace fire

execute as @s[scores={titan_progress=1..14}] run gamemode spectator
execute as @s[scores={titan_progress=26}] run gamemode survival

execute at @s[scores={titan_progress=1}] run playsound entity.warden.emerge ambient @a ~ ~ ~ 10 2

execute if entity @s[scores={titan_progress=2}] store result storage gg_aot:macro-2 titan.id int 1 run scoreboard players get @s titan_id

execute at @s[scores={titan_progress=3}] run function titan_shifting/shift_items_save with storage gg_aot:macro-2 titan

execute at @s[scores={titan_progress=5}] run attribute @n[tag=titan_skeleton] scale base set 9
execute at @s[scores={titan_progress=5}] run effect clear @n[tag=titan_skeleton] invisibility

execute at @s[scores={titan_progress=10}] run item replace entity @n[tag=titan_skeleton] armor.head with poisonous_potato[custom_model_data=829]
execute at @s[scores={titan_progress=15}] run item replace entity @n[tag=titan_skeleton] armor.head with poisonous_potato[custom_model_data=830]
execute at @s[scores={titan_progress=20}] run item replace entity @n[tag=titan_skeleton] armor.head with poisonous_potato[custom_model_data=831]
execute at @s[scores={titan_progress=25}] run item replace entity @n[tag=titan_skeleton] armor.head with poisonous_potato[custom_model_data=838]

execute at @s[scores={titan_progress=10}] run item replace entity @n[tag=titan_skeleton] weapon.mainhand with poisonous_potato[custom_model_data=819]
execute at @s[scores={titan_progress=15}] run item replace entity @n[tag=titan_skeleton] weapon.mainhand with poisonous_potato[custom_model_data=820]
execute at @s[scores={titan_progress=20}] run item replace entity @n[tag=titan_skeleton] weapon.mainhand with poisonous_potato[custom_model_data=821]
execute at @s[scores={titan_progress=25}] run item replace entity @n[tag=titan_skeleton] weapon.mainhand with poisonous_potato[custom_model_data=837]

execute at @s[scores={titan_progress=1..25}] run spectate @e[tag=titan_skeleton,limit=1,predicate=aot:score-match]
execute at @s[scores={titan_progress=26..30}] as @e[tag=titan_skeleton,predicate=aot:score-match] run rotate @e[scores={titan_progress=26..30},limit=1,predicate=aot:score-match] ~ ~
execute at @s[scores={titan_progress=26..30}] run tp @s @e[tag=titan_skeleton,limit=1,predicate=aot:score-match]

execute if entity @s[scores={titan_progress=30}] store result storage gg_aot:macro-end titan.id int 1 run scoreboard players get @s titan_id

execute at @s[scores={titan_progress=31}] run function titan_shifting/shift_end with storage gg_aot:macro-end titan

execute as @e[tag=titan_skeleton] run data merge entity @s {Fire:-1s}

scoreboard players add @s[scores={titan_progress=1..}] titan_progress 1

execute at @s[scores={titan_steam=1..}] run function titan_shifting/steam

scoreboard players add @s[scores={titan_steam=1..}] titan_steam 1

execute at @s[scores={titan_progress=1..30}] at @n[tag=titan_skeleton] run particle dust{color:[1.000,0.702,0.000],scale:2.5} ~ ~5 ~ 3 5 3 0 3 force @a
execute at @s[scores={titan_progress=1..30}] at @n[tag=titan_skeleton] run particle dust{color:[1.000,0.867,0.000],scale:2.5} ~ ~5 ~ 3 5 3 0 3 force @a
execute at @s[scores={titan_progress=1..30}] at @n[tag=titan_skeleton] run particle dust{color:[1.000,0.804,0.012],scale:2.5} ~ ~5 ~ 3 5 3 0 3 force @a
execute at @s[scores={titan_progress=1..30}] at @n[tag=titan_skeleton] run particle trial_spawner_detection ~ ~5 ~ 3 5 3 0 2 force @a

effect give @s[scores={titan_progress=1..30}] blindness 1 0 true

clear @s minecraft:barrier[hide_tooltip={},custom_model_data=9955,custom_data={kill_item:1b}]
clear @s minecraft:barrier[hide_tooltip={},custom_model_data=9981,custom_data={kill_item:1b}]

#bite hand

scoreboard players add @s[scores={harm_bite=1..}] harm_meter 1
scoreboard players set @s[scores={harm_bite=0}] harm_meter 0

execute at @s[scores={harm_meter=4}] if items entity @s weapon.mainhand *[custom_data~{titan_harm:1b}] unless entity @s[scores={titan_progress=1..}] run function titan_shifting/titan-harm/bite_effect

execute at @s[scores={harm_meter=2}] if items entity @s weapon.* *[custom_data~{titan_harm_alt:1b}] unless entity @s[scores={titan_progress=1..}] run function titan_shifting/titan-harm/alt_effect

scoreboard players set @s[scores={death_check=1..}] titan_energy 0

execute as @s[scores={harm_meter=8,titan_energy=2180..}] if items entity @s weapon.* *[custom_data~{titan_harm_alt:1b}] unless entity @s[scores={titan_progress=1..}] run function titan_shifting/shift
execute as @s[scores={harm_meter=8,titan_energy=4363..}] if items entity @s weapon.mainhand *[custom_data~{titan_harm:1b}] unless entity @s[scores={titan_progress=1..}] run function titan_shifting/shift_alt

execute as @s[scores={harm_meter=8}] unless entity @s[scores={titan_progress=1..}] run clear @s *[custom_data~{titan_harm:1b}]

execute as @s[scores={sneak_check=0}] unless entity @s[scores={titan_progress=1..}] run clear @s *[custom_data~{titan_harm:1b}]

#healing

scoreboard players set @s[scores={hurt_check=1..}] titan_out_regen_cd 220
effect clear @s[scores={titan_out_regen_cd=1..}] regeneration

scoreboard players remove @s[scores={titan_out_regen_cd=1..}] titan_out_regen_cd 1

effect give @s[scores={titan_out_regen_cd=0,titan_progress=0}] regeneration infinite 0 true

ride @s[scores={titan_energy=4}] mount @n[tag=chest_minecart,tag=titan_done]
